| liblzma (XZ Utils) 5.6.1

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Enumerations
delta.h File Reference

Delta filter. More...

## Data Structures
struct | lzma_options_delta
| Options for the Delta filter. More...

## Macros
#define | LZMA_FILTER_DELTA LZMA_VLI_C(0x03)
| Filter ID.
#define | LZMA_DELTA_DIST_MIN 1
| Minimum value for lzma_options_delta.dist.
#define | LZMA_DELTA_DIST_MAX 256
| Maximum value for lzma_options_delta.dist.

## Enumerations
enum | lzma_delta_type { LZMA_DELTA_TYPE_BYTE }
| Type of the delta calculation. More...

## Detailed Description

Delta filter.

Note
  Never include this file directly. Use <lzma.h> instead.

## Macro Definition Documentation

## ◆ LZMA_FILTER_DELTA

#define LZMA_FILTER_DELTA LZMA_VLI_C(0x03)

Filter ID.

Filter ID of the Delta filter. This is used as lzma_filter.id.

## Enumeration Type Documentation

## ◆ lzma_delta_type

enum lzma_delta_type

Type of the delta calculation.

Currently only byte-wise delta is supported. Other possible types could be, for example, delta of 16/32/64-bit little/big endian integers, but these are not currently planned since byte-wise delta is almost as good.

XZ logo © 2023 by Jia Tan is licensed under CC BY-SA 4.0